# alpaca_complete

RoR & vimユーザーの為の補完プラグインを作成しております。
目標はRubyMineの補完機能を超えることです。

## install

```vim:.vimrc
NeoBundle 'taichouchou2/alpaca_complete', {
      \ 'depends' : [ 'tpope/vim-rails', 'Shougo/neocomplcache'],
      \ 'build' : {
      \     'mac' : 'gem install alpaca_complete',
      \     'unix' : 'gem install alpaca_complete',
      \}}
```

![locale補完](https://github.com/taichouchou2/alpaca_complete/blob/master/preview1.png?raw=true)

NeoBundle以外の人は、下記を実行してください
また、[neocomplcache]( https://github.com/Shougo/neocomplcache )が必要です。

```shell
`gem install alpaca_complete`
```

### TODO

下記の機能を実装予定です。(優先順位順)
それぞれの補完は説明や引数付きで補完する予定です。

- locales(I18n.t)補完(完了)
- chaching機能(完了)
- assets補完(完了)
- migrate補完
- view補完
- controller補完
- models補完
    - validate
    - 推奨構文

### お願い

「こんな補完が欲しい」っていうのがあるかたは、 Issuesか、twitterに書き込んでください。
あと、コミッターも募集しています。

## and more

**AUTHOR**

Hiroyuki Ishii \<alprhcp666@gmail.com\>
@alpaca_taichou

**COPYRIGHT**

Copyright (c) 2012, Hiroyuki Ishii \<alprhcp666@gmail.com\>

**LICENSE**

[MIT License][MIT]

[MIT]: http://www.opensource.org/licenses/mit-license.php

