require 'spec_helper'

describe AlpacaComplete::Utils do
  context :option_parser do
    # it 'help' do
    #   out = AlpacaComplete::Utils.option_parser ["-l", "ja."]
    #   out[:locale].should == "ja."
    # end
  end

  context :load_yaml do
    let(:yaml_dir) { 'spec/supports/dict' }

    it 'return nil if yaml isnt exist' do
      yaml_data = AlpacaComplete::Utils.load_yaml "#{yaml_dir}/non_existent.yml"
      yaml_data.should eql(nil)
    end

    it 'return hash if yaml is exist' do
      yaml_data = AlpacaComplete::Utils.load_yaml "#{yaml_dir}/existent.yml"
      yaml_data.is_a?(Hash).should == true
    end

  end
end
